Name:           xarchiver
Version:        0.5.4.22
Release:        2%{?dist}
Summary:        Archive manager for Xfce

License:        GPL-2.0-or-later AND BSD-4-Clause-UC AND (LGPL-2.1-or-later OR AFL-2.0)
URL:            https://github.com/ib/xarchiver
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  libxml2-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gtk-doc
BuildRequires:  desktop-file-utils

Requires:       arj, binutils, bzip2, cpio, gzip, xdg-utils, tar, unzip, zip

%description
Xarchiver is a lightweight GTK frontend for manipulating 7z, arj, bzip2,
gzip, iso, rar, lha, tar, zip, RPM and deb files. It allows you to create
archives and add, extract, and delete files from them. Password protected
archives in the arj, 7z, rar, and zip formats are supported.


%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

rm %{buildroot}%{_docdir}/%{name}/ChangeLog

%files -f %{name}.lang
%license COPYING
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/%{name}/
%{_libexecdir}/thunar-archive-plugin/
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Apr 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.4.22-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.4.22-1
- initial build
